Click or drag to resize

AngularDimensionAdjustFromPoints Method (Plane, Point3d, Point3d, Point3d, Point3d)

Update Dimension geometry from point locations

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public bool AdjustFromPoints(
	Plane plane,
	Point3d centerpoint,
	Point3d defpoint1,
	Point3d defpoint2,
	Point3d dimlinepoint
)

Parameters

plane
Type: Rhino.GeometryPlane

[Missing <param name="plane"/> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

centerpoint
Type: Rhino.GeometryPoint3d

[Missing <param name="centerpoint"/> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

defpoint1
Type: Rhino.GeometryPoint3d

[Missing <param name="defpoint1"/> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

defpoint2
Type: Rhino.GeometryPoint3d

[Missing <param name="defpoint2"/> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

dimlinepoint
Type: Rhino.GeometryPoint3d

[Missing <param name="dimlinepoint"/> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

Version Information

Rhino for Windows

Supported in: 6.5
See Also